curl --request GET \
--url https://api.jtl-cloud.com/erp/salesChannels \
--header 'Authorization: Bearer <token>' \
--header 'x-tenant-id: <x-tenant-id>'import requests
url = "https://api.jtl-cloud.com/erp/salesChannels"
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-tenant-id': '<x-tenant-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.jtl-cloud.com/erp/salesChannels', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"Id": "1-1-1",
"Type": 0,
"Name": "JTL-Wawi",
"ItemCapabilities": {
"Descriptions": true,
"OnlineShopActivation": false,
"Prices": true,
"SpecialPrices": true,
"Images": true
},
"CategoryCapabilities": {
"Descriptions": true,
"OnlineShopActivation": true
},
"DocumentationUrl": "TODO"
}
]Get Sales Channels
Get all sales channels
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The User-Id (int or uuid) on whose behalf the request is executed. Requires scope 'Application.RunAs'.
The tenant ID for the target ERP instance.
Response
Returns all sales channels with the available endpoints.
"1-1-1"
0 = JTL_Wawi, 1 = OnlineShop, 2 = JTL_POS, 3 = Ebay, 4 = Unicorn, 5 = SCX, 6 = JTL_Fulfillment_Network, 7 = REST_API, 8 = XML_Import, 9 = Amazon, 10 = JTL_BI
0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10 Name of the sales channel, e.g. eBay.de, amazon.uk, myshop.de.
"JTL-Wawi"
Model Class: ItemCapabilities
Show child attributes
Show child attributes
Model Class: CategoryCapabilities
Show child attributes
Show child attributes
URL for the documentation of the available endpoints for this specific sales channel.
"TODO"
Was this page helpful?